Package uk.ac.starlink.pal

# Class ObsPosition

java.lang.Object
uk.ac.starlink.pal.ObsPosition

public class ObsPosition extends Object
Position of Observer

## Constructor Summary

Constructors
Constructor
Description
`ObsPosition(double lon, double lat, double height)`
Position of Observer
`ObsPosition(double lon, double lat, double height, double rad)`
Position of Observer

## Method Summary

Modifier and Type
Method
Description
`double`
`getHeight()`
Get the Height
`double`
`getLatitude()`
Get the latitude
`double`
`getLongitude()`
Get the longitude
`double`
`getRad()`
Get the radial velocity
`String`
`toString()`
Get the Observers position as a String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ObsPosition

public ObsPosition(double lon, double lat, double height)
Position of Observer

Parameters:
  `lon` - Longitude
  `lat` - Latitude
  `height` - Height

### ObsPosition

public ObsPosition(double lon, double lat, double height, double rad)
Position of Observer

Parameters:
  `lon` - Longitude
  `lat` - Latitude
  `height` - Height
  `rad` - Radial velocity

## Method Details

### getLongitude

public double getLongitude()
Get the longitude

Returns:
  Longitude

### getLatitude

public double getLatitude()
Get the latitude

Returns:
  Latitude

### getHeight

public double getHeight()
Get the Height

Returns:
  Height

### getRad

public double getRad()
Get the radial velocity

Returns:
  Radial velocity

### toString

public String toString()
Get the Observers position as a String

Overrides:
  `toString` in class `Object`